/*
 * 2D Game Engine 
 * RigidBody.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 12/02/2021.
 */

#ifndef GAMEENGINE_RIGIDBODY_H
#define GAMEENGINE_RIGIDBODY_H

#include <glm/glm.hpp>

struct RigidBodyComponent
{
    glm::vec2 velocity;

    explicit RigidBodyComponent(glm::vec2 velocity = glm::vec2(0, 0)):velocity(velocity) {};
};


#endif /* GAMEENGINE_RIGIDBODY_H */
